Users
const url = 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Not a number -> 400. Too large a value — 400, error_code=138
Not a number -> 400. Too large a value — 400, error_code=138
Example
1000-1 — all, 1 — regular, 2 — integration
Limited in length; too long a string — 400, error_code=139
By default — active and invited. The number of items is limited
The number of elements is limited
The number of elements is limited
String true
Return roles for integration users
Applied only together with sort_direction
Asc|desc
Header Parameters
Section titled “Header Parameters”Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
object
object
Absent from the response if the value is empty
Absent from the response if the value is empty
Absent from the response if the value is empty
object
object
object
object
1 regular, 2 integration
object
Examplegenerated
{ "current_users_count": 1, "blocked_users_count": 1, "deleted_users_count": 1, "count": 1, "users": [ { "id": "example", "external_id": 1, "company_id": "example", "phone_number": "example", "first_name": "example", "last_name": "example", "birth_date": "example", "gender": "example", "mobile_login_allowed": true, "enable_max_validated_devices_limit": true, "max_validated_devices": 1, "status_id": "example", "is_active": true, "image": "example", "image_url": "example", "is_image_avatar": true, "language": "example", "theme": "example", "current_cashbox_id": "example", "current_shop_id": "example", "cashboxes": [ "example" ], "shops": [ { "id": "example", "shop_id": "example", "shop": { "name": "example" } } ], "roles": [ { "id": "example", "role_id": "example", "role": { "name": "example" } } ], "created_at": "example", "updated_at": "example", "deleted_at": 1, "telegram_id": 1, "props_updated": true, "type": 1, "tariff_limits": { "company_tariff": "example", "cashbox_count": 1, "products_count": 1, "users_count": 1, "customers_count": 1 } } ]}